"
 COPYRIGHT (c) 1997 by eXept Software AG 
	      All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.


"

"{ Package: 'stx:libbasic2' }"

TwoByteString variableWordSubclass:#UnicodeString
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Collections-Text'
!

!UnicodeString class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 1997 by eXept Software AG 
	      All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.


"
!

documentation
"
    Not yet finished - unicode support is currently being implemented.


    Try (under Win32) - Tested on Win2k):

    - set Transcripts font to an Unicode font (say) arial ...

        |s|
        s := (Character value:16r3b1) asUnicodeString.         'alpha'.
        s := s , ' to '.
        s := s , (Character value:16r3a9) asUnicodeString.     'omega'.
        Transcript showCR:s

"
! !

!UnicodeString class methodsFor:'initialization'!

initialize
    "initialize the class - private"

    self flags:(Behavior flagWords)

    "
     UnicodeString initialize
    "

    "Created: 30.6.1997 / 15:35:52 / cg"
    "Modified: 30.6.1997 / 15:39:21 / cg"
! !

!UnicodeString methodsFor:'conversion'!

asOneByteString
    "thats not really true - this simply chops off any high-bits"

    ^ ((String new:self size) replaceFrom:1 to:self size with:self startingAt:1)
!

asSymbolIfInterned
    ^ self asOneByteString asSymbolIfInterned
!

asUnicodeString
    ^ self
! !

!UnicodeString methodsFor:'queries'!

encoding
    "return the strings encoding as a symbol. 
     Here, the constant symbol #unicode is returned."

    ^ #unicode

    "Created: 30.6.1997 / 15:39:41 / cg"
! !

!UnicodeString class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libbasic2/Attic/UnicodeString.st,v 1.6 2001-09-15 13:53:02 cg Exp $'
! !
UnicodeString initialize!
